body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
}

header {
    background-color: #333;
    padding: 10px;
}

nav ul {
    list-style: none;
    padding: 0;
}

nav ul li {
    display: inline;
    margin-right: 20px;
}

nav ul li a {
    color: white;
    text-decoration: none;
}

section {
    padding: 20px;
    margin: 20px;
}

.cta-btn {
    background-color: #007BFF;
    color: white;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 5px;
}

.cta-btn:hover {
    background-color: #0056b3;
}

footer {
    text-align: center;
    padding: 10px;
    background-color: #333;
    color: white;
}

.image-link {
  width: 180px;
  border-radius: 12px;
  overflow: hidden;
  cursor: pointer;
  transition: transform 0.2s ease;
  box-shadow: 0 4px 10px rgba(0,0,0,0.2);
  cursor: pointer;
}

.image-link:hover {
  transform: scale(1.05);
}

.image-link img {
  width: 100%;
  display: block;
}

.image-link p {
  margin: 0;
  padding: 10px;
  background: #222;
  color: white;
  text-align: center;
  font-family: sans-serif;
}

#showScratch {
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 50px;
  background: white;
  width: 300px;
  height: 26px;
  cursor: pointer;
  font-size: 24px;
}

#reading a {
    color: lightblue;
}

#scratchContainer {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
    gap: 20px;
    width: 100%;
    padding: 20px;
    box-sizing: border-box;
}

iframe {
    padding-right: 10px;
    flex-shrink: 0;
    position: relative;
    flex: 0 0 auto;
}

.load-more-card {
    flex: 0 0 auto;
    width: 180px;
    height: 200px;
    margin-top: 101px;
    margin-bottom: 101px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #333;
    color: white;
    font-size: 24px;
    cursor: pointer;
    user-select: none;
}

.card-title {
    color: Gray;
    width: 479px;
    text-align: center;
    font-size: 20px;
    margin: 0;
    transform: translateY(-396px);
}